% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils_plotting.R
\name{mia-plot-args}
\alias{mia-plot-args}
\title{Additional arguments for plotting}
\description{
To be able to fine tune plotting, several additional plotting arguments are
available. These are described on this page.
}
\section{Tree plotting}{


\describe{
\item{\code{line_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the tree edges. Defaults to \code{1}.}
\item{\code{line_width}:}{Numeric scalar, specifying the default width of
an edge. Defaults to NULL to use default of the \code{ggtree} package}
\item{\code{line_width_range}:}{Two numeric values, the range for plotting
dynamic edge widths in. Defaults to \code{c(0.5,3)}.}
\item{\code{point_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the tips. Defaults to \code{1}.}
\item{\code{point_size}:}{Numeric scalar, specifying the
default size of tips Defaults to \code{2.}.}
\item{\code{point_size_range}:}{Two numeric values, the range for plotting
dynamic tip sizes in. Defaults to \code{c(1,4)}.}
\item{\code{label_font_size}:}{Numeric scalar, font size for the tip and
node labels. Default to \code{3}.}
\item{\code{highlight_font_size}:}{Numeric scalar, font size for the
highlight labels. Default to \code{3}.}
}
}

\section{Graph plotting}{


\describe{
\item{\code{line_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the tree edges. Defaults to \code{1}.}
\item{\code{line_width}:}{Numeric scalar, specifying the default width of
an edge. Defaults to NULL to use default of the \code{ggraph} package}
\item{\code{line_width_range}:}{Two numeric values, the range for plotting
dynamic edge widths in. Defaults to \code{c(0.5,3)}.}
\item{\code{point_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the tips. Defaults to \code{1}.}
\item{\code{point_size}:}{Numeric scalar, specifying the
default size of tips Defaults to \code{2.}.}
\item{\code{point_size_range}:}{Two numeric values, the range for plotting
dynamic tip sizes in. Defaults to \code{c(1,4)}.}
}
}

\section{Abundance plotting}{


\describe{
\item{\code{flipped}:}{Logical scalar. Should the plot be flipped. Defaults
to \code{FALSE}.}
\item{\code{add_legend}:}{Logical scalar. Should legends be plotted?
Defaults to \code{TRUE}.}
\item{\code{add_x_text}:}{Logical scalar. Should x tick labels be plotted?
Defaults to \code{FALSE}.}
\item{\code{add_border}:}{Logical scalar. Should border of bars be plotted?
Defaults to \code{FALSE}.}
\item{\code{bar_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the bars. Defaults to \code{1}.}
\item{\code{point_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the tips. Defaults to \code{1}.}
\item{\code{point_size}:}{Numeric scalar, specifying the
default size of tips Defaults to \code{2.}.}
}
}

\section{Prevalence plotting}{


\describe{
\item{\code{flipped}:}{Logical scalar, specifying whether the plot should
be flipped. Defaults to \code{FALSE}.}
\item{\code{add_legend}:}{Logical scalar. Should legends be plotted?
Defaults to \code{TRUE}.}
\item{\code{point_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the tips. Defaults to \code{1}.}
\item{\code{point_size}:}{Numeric scalar, specifying the
default size of tips Defaults to \code{2.}.}
\item{\code{line_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the tree edges. Defaults to \code{1}.}
\item{\code{line_type}:}{Numeric scalar, specifying the default line type.
Defaults to NULL to use default of the \code{ggplot2} package}
\item{\code{line_size}:}{Numeric scalar, specifying the default width of
a line. Defaults to NULL to use default of the \code{ggplot2} package}
}
}

\section{Series plotting}{


\describe{
\item{\code{add_legend}:}{Logical scalar. Should legends be plotted?
Defaults to \code{TRUE}.}
\item{\code{line_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the tree edges. Defaults to \code{1}.}
\item{\code{line_type}:}{Numeric scalar, specifying the default line type.
Defaults to NULL to use default of the \code{ggplot2} package}
\item{\code{line_width}:}{Numeric scalar, specifying the default width of
a line. Defaults to NULL to use default of the \code{ggplot2} package}
\item{\code{line_width_range}:}{Two numeric values, the range for plotting
dynamic line widths in. Defaults to \code{c(0.5,3)}.}
\item{\code{ribbon_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the ribbon. Defaults to \code{0.3}.}
}
}

\section{Tile plotting}{


\describe{
\item{\code{add_legend}:}{Logical scalar. Should legends be plotted?
Defaults to \code{TRUE}.}
\item{\code{rect_alpha}:}{Numeric scalar in \code{[0, 1]}, specifying the
transparency of the areas. Defaults to \code{1}.}
\item{\code{rect_colour}:}{Character scalar, specfiying the colour to use
for colouring the borders of the areas. Defaults to \code{"black"}.}
\item{\code{na.value}:}{Character scalar, specfiying the colour to use
for \code{NA} values. Defaults to \code{"grey80"}.}
}
}

