% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotDMN.R
\name{plotDMN}
\alias{plotDMN}
\alias{plotDMNFit}
\alias{plotDMNFit,SummarizedExperiment-method}
\title{Plotting Dirichlet-Multinomial Mixture Model data}
\usage{
plotDMNFit(x, name = "DMN", type = c("laplace", "AIC", "BIC"), ...)

\S4method{plotDMNFit}{SummarizedExperiment}(x, name = "DMN", type = c("laplace", "AIC", "BIC"))
}
\arguments{
\item{x}{a
\code{\link[SummarizedExperiment:SummarizedExperiment-class]{SummarizedExperiment}}
object contain the DMN data in \code{metadata}.}

\item{name}{the name to store the result in
\code{\link[SummarizedExperiment:RangedSummarizedExperiment-class]{metadata}}}

\item{type}{the type of measure for access the goodness of fit. One of
\sQuote{laplace}, \sQuote{AIC} or \sQuote{BIC}.}

\item{...}{optional arguments not used.}
}
\value{
\code{plotDMNFit} returns a \code{ggplot2} plot.
}
\description{
To plot DMN fits generated with \code{mia} use \code{plotDMNFit}.
}
\examples{
data(dmn_se, package = "mia")
names(metadata(dmn_se))

# plot the fit
plotDMNFit(dmn_se, type = "laplace")
}
\seealso{
\code{\link[mia:calculateDMN]{calculateDMN}}
}
